export default {
  computed: {
    showToLoginModel() {
      return this.$store.state.showToLoginModel;
    }
  },
  watch: {
    showToLoginModel(val) {
      if (val) {
        this.$Modal.confirm({
          content: "身份验证失效，是否重新登陆？",
          onOk: () => {
            this.$store.commit("setShowToLoginModel", false);
            this.$router.push({ name: "Login" });
          }
        });
      }
    }
  }
};
